Interface MiloBrowseEndpointBuilderFactory.MiloBrowseBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
MiloBrowseEndpointBuilderFactory
public static interface MiloBrowseEndpointBuilderFactory.MiloBrowseBuilders
-
Method Summary
Modifier and TypeMethodDescriptionOPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree.miloBrowse(String path) OPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree.miloBrowse(String componentName, String path) OPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree.
-
Method Details
-
miloBrowse
OPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree. Category: iot Since: 3.15 Maven coordinates: org.apache.camel:camel-milo- Returns:
- the dsl builder for the headers' name.
-
miloBrowse
OPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree. Category: iot Since: 3.15 Maven coordinates: org.apache.camel:camel-milo Syntax:milo-browse:endpointUriPath parameter: endpointUri (required) The OPC UA server endpoint- Parameters:
path- endpointUri- Returns:
- the dsl builder
-
miloBrowse
default MiloBrowseEndpointBuilderFactory.MiloBrowseEndpointBuilder miloBrowse(String componentName, String path) OPC UA Browser (camel-milo) Connect to OPC UA servers using the binary protocol for browsing the node tree. Category: iot Since: 3.15 Maven coordinates: org.apache.camel:camel-milo Syntax:milo-browse:endpointUriPath parameter: endpointUri (required) The OPC UA server endpoint- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- endpointUri- Returns:
- the dsl builder
-